import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

import { FullComponent } from './full.component';

describe('FullComponent', () => {
    let component: FullComponent;
    let fixture: ComponentFixture<FullComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            imports: [FullComponent],
            providers: [
                provideRouter([]),
                provideHttpClient(),
                provideAnimations(),
            ],
        })
            .compileComponents();

        fixture = TestBed.createComponent(FullComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});

